Bug 125704 - CAN-2004-0492 mod_proxy buffer overflow
CAN-2004-0492 mod_proxy buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: httpd (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: Security
Depends On:
Blocks: CVE-2004-0492
  Show dependency treegraph
 
Reported: 2004-06-10 09:26 EDT by Mark J. Cox (Product Security)
Modified: 2008-01-28 11:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-14 11:46:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-10 09:26:32 EDT
A security issue has been reported in mod_proxy.  See

http://www.guninski.com/modproxy1.html

We have assigned CAN-2004-0492 to this issue.

The flaw affects Apache httpd 1.3.25 to 1.3.31 inclusive that have
mod_proxy enabled and configured.  Apache httpd 2.0 is unaffected.

The security issue is a buffer overflow which can be triggered by
getting mod_proxy to connect to a remote server which returns an
invalid (negative)  Content-Length.  This results in a memcpy to the
heap with a large length value, which will in most cases cause the
Apache child to crash.  This does not represent a significant Denial
of Service attack as requests will continue to be handled by other
Apache child processes.

In order to exploit this issue an attacker would need to get an
Apache installation that was configured as a proxy to connect to a
malicious site.

For Red Hat Enterprise Linux we do not believe that this issue can
lead to arbitrary code execution. 

A patch to correct this issue is available.  See:
http://marc.theaimsgroup.com/?l=apache-httpd-dev&m=108687304202140

Public Jun10
Comment 1 Mark J. Cox (Product Security) 2004-06-11 03:41:18 EDT
Even though this is mitigated to being a minor issue we will produce
an update for Red Hat Enterprise Linux 2.1, including a fix for bug
#122637 and CAN-2004-0488.

RHSA-2004:245 in QA
Comment 2 Mark J. Cox (Product Security) 2004-06-14 11:46:11 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-245.html

Note You need to log in before you can comment on or make changes to this bug.